/*
 * Console Interface
 *
 * Copyright (C) 2010-2020  Magnus Bergman <magnus.bergman@snisurset.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef console_interface_h
#define console_interface_h

typedef struct _Console Console;

typedef struct{
    void(*set_size)(Console*,int w,int h,int attr);
    void(*cursorxy)(Console*,int x,int y);
    void(*charxya)(Console*,int x,int y,int attr,int);
    void(*scroll)(Console*,int steps,int attr);
#ifndef TERMINAL_FIXED_WIDTH
    int(*width)(Console*);
#endif
#ifndef TERMINAL_FIXED_HEIGHT
    int(*height)(Console*);
    void(*extend)(Console*,int steps,int attr);
#endif
}ConsoleInterface;

#endif /* console_interface_h */
