/*
 * Dynamically expanding terminal emulator
 *
 * Copyright (C) 2006, 2010 Magnus Bergman
 *
 * Author: Magnus Bergman <fabel@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef term_dyn_h
#define term_dyn_h

#include "cons_if.h"
#include "term_if.h"

/* typedef struct _TermDyn TermDyn; */

Terminal* term_dyn_new(const ConsoleInterface*,Console*);
#define term_dyn_free(term) free(term)

void term_dyn_gotoxy(Terminal*,int x,int y);
void term_dyn_up(Terminal*,int);
void term_dyn_down(Terminal*,int);
void term_dyn_left(Terminal*,int);
void term_dyn_right(Terminal*,int);

void term_dyn_foreground(Terminal*,int);
void term_dyn_background(Terminal*,int);
void term_dyn_set_attribute(Terminal*,int);

void term_dyn_write(Terminal*,int);
void term_dyn_clrscr(Terminal*);
void term_dyn_clreol(Terminal*);

int term_dyn_get_foreground(Terminal*);
int term_dyn_get_background(Terminal*);
int term_dyn_get_cursorx(Terminal*);
int term_dyn_get_cursory(Terminal*);

extern const TerminalInterface term_dyn_if;

#endif /* term_dyn_h */
