#ifndef doc_cel_h
#define doc_cel_h

#include "cel_data.h"
#include "image_ref.h"

namespace doc{
    class Cel{
    private:
        int _frame;
        CelDataRef _data;
    public:
        Cel(int f, const ImageRef &img):_frame(f),_data(new CelData(img)){}

        static Cel *createCopy(const Cel*);
        static Cel *createLink(const Cel*);

        int frame() const { return _frame; }
        int x() const { return _data->position().x; }
        int y() const { return _data->position().y; }
        int opacity() const { return _data->opacity(); }

        Cel *link() const;

        Image *image() const { return _data->image(); }
        CelData *data() const { return const_cast<CelData*>(_data.get()); }

        void setFrame(int f) { _frame = f; }
        void setPosition(int x,int y) { _data->setPosition(x,y); }
        void setOpacity(int o) { _data->setOpacity(o); }
    };
}

#endif /* doc_cel_h */
