/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef atarist_h
#define atarist_h

#include <cairo.h>
#include <stdint.h>

#define ATARIST_CAIRO_BITS16

#ifdef ATARIST_CAIRO_BITS16
typedef uint16_t atarist_cairo_color_t;
#else
typedef uint32_t atarist_cairo_color_t;
#endif

void atarist_decode_palette(uint16_t *atari_palette, atarist_cairo_color_t *cairo_palette);
cairo_surface_t *atarist_decode_image_0(uint16_t *atari_image, atarist_cairo_color_t *cairo_palette);
cairo_surface_t *atarist_decode_image_1(uint16_t *atari_image, atarist_cairo_color_t *cairo_palette);
cairo_surface_t *atarist_decode_image_2(uint16_t *atari_image, atarist_cairo_color_t *cairo_palette);

#endif /* atarist_h */
