/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef ni_ilbm_h
#define ni_ilbm_h

#include "nile.h"
#include "nil-iff.h"

#define ILBM_BMHD IFF_ID('B','M','H','D')
#define ILBM_CMAP IFF_ID('C','M','A','P')
#define ILBM_CAMG IFF_ID('C','A','M','G')
#define ILBM_CRNG IFF_ID('C','R','N','G')
#define ILBM_BODY IFF_ID('B','O','D','Y')

#define ILBM_ANNO IFF_ID('A','N','N','O')
#define ILBM_CTBL IFF_ID('C','T','B','L')
#define ILBM_BEAM IFF_ID('B','E','A','M')
#define ILBM_PCHG IFF_ID('P','C','H','G')
#define ILBM_SHAM IFF_ID('S','H','A','M')
#define ILBM_DPAN IFF_ID('D','P','A','N')
#define ILBM_DPPS IFF_ID('D','P','P','S')

#define ILBM_ANHD IFF_ID('A','N','H','D')
#define ILBM_DLTA IFF_ID('D','L','T','A')

#define ILBM_VDAT IFF_ID('V','D','A','T')

#define DPST_DPAH IFF_ID('D','P','A','H')

#define VDLT_ADAT IFF_ID('A','D','A','T')

typedef int(*ni_ilbm_request_func_t)(void *userdata, int width, int height, double pixel_ratio, int frame_count, nile_t **);
typedef int(*ni_ilbm_frame_func_t)(void *userdata, int frame, double duration);

int ni_ilbm_decode(const uint8_t *data, size_t len, int pbc, nile_format_t, ni_ilbm_request_func_t, ni_ilbm_frame_func_t, void *userdata);

#endif /* ni_ilbm */
