// Copyright (c) the JPEG XL Project Authors. All rights reserved.
//
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

#ifndef LIB_JXL_DEC_GROUP_H_
#define LIB_JXL_DEC_GROUP_H_

#include <stddef.h>
#include <stdint.h>

#include <vector>

#include "compiler_specific.h"
#include "status.h"
#include "chroma_from_luma.h"
#include "coeff_order_fwd.h"
#include "dct_util.h"
#include "dec_ans.h"
#include "dec_bit_reader.h"
#include "dec_cache.h"
#include "dec_params.h"
#include "frame_header.h"
#include "image.h"
#include "quantizer.h"

namespace jxl {

Status DecodeGroup(BitReader* JXL_RESTRICT* JXL_RESTRICT readers,
                   size_t num_passes, size_t group_idx,
                   PassesDecoderState* JXL_RESTRICT dec_state,
                   GroupDecCache* JXL_RESTRICT group_dec_cache, size_t thread,
                   ImageBundle* JXL_RESTRICT decoded, size_t first_pass,
                   bool force_draw, bool dc_only);

/* DecodeGroupForRoundtrip() removed */

}  // namespace jxl

#endif  // LIB_JXL_DEC_GROUP_H_
