// Copyright (c) the JPEG XL Project Authors. All rights reserved.
//
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

#ifndef LIB_JXL_ICC_CODEC_H_
#define LIB_JXL_ICC_CODEC_H_

// Compressed representation of ICC profiles.

#include <stddef.h>
#include <stdint.h>

#include "compiler_specific.h"
#include "padded_bytes.h"
#include "status.h"
#include "dec_ans.h"
#include "dec_bit_reader.h"

namespace jxl {

/* WriteICC() removed */

struct ICCReader {
  Status Init(BitReader* reader, size_t output_limit);
  Status Process(BitReader* reader, PaddedBytes* icc);
  void Reset() {
    bits_to_skip_ = 0;
    decompressed_.clear();
  }

 private:
  Status CheckEOI(BitReader* reader);
  size_t i_ = 0;
  size_t bits_to_skip_ = 0;
  size_t used_bits_base_ = 0;
  uint64_t enc_size_ = 0;
  std::vector<uint8_t> context_map_;
  ANSCode code_;
  ANSSymbolReader ans_reader_;
  PaddedBytes decompressed_;
};

/* ReadICC() removed */

/* PredictICC() removed */

/* UnpredictICC() removed */

}  // namespace jxl

#endif  // LIB_JXL_ICC_CODEC_H_
