/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef teletext_dec_h
#define teletext_dec_h

#include "cons_if.h"

typedef struct{
    unsigned int bg:3;
    unsigned int fg:3;
    unsigned int flash:1;
    unsigned int graphic:1;
    unsigned int doubleheight:1;
}TeletextState;

void teletext_reset(TeletextState*);
int teletext_update(TeletextState*,int);

typedef struct _TeletextDecoder TeletextDecoder;

TeletextDecoder* teletext_decoder_new(const ConsoleInterface*,Console*);
void teletext_decoder_free(TeletextDecoder*);
void teletext_decoder_goto(TeletextDecoder*,int x, int y);
void teletext_decoder_write(TeletextDecoder*,int);

#endif /* teletext_dec_h */
