/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef tribble_h
#define tribble_h

#include <cairo.h>

typedef struct _tribble_page_t tribble_page_t;
typedef struct _tribble_document_t tribble_document_t;

tribble_document_t *tribble_document_create_from_data(const char *data, size_t len);
tribble_document_t *tribble_document_create_from_file(const char *filename);
tribble_document_t *tribble_document_reference(tribble_document_t*);
void tribble_document_destroy(tribble_document_t*);
int tribble_document_get_n_pages(const tribble_document_t*);
const tribble_page_t *tribble_document_get_page(const tribble_document_t*, int pagenr);

void tribble_page_get_size(const tribble_page_t*, double *width, double *height);
void tribble_page_render(const tribble_page_t*, cairo_t*);

#endif /* tribble_h */
