/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef dyncanvas_h
#define dyncanvas_h

#include <cairo.h>
#include <stdint.h>

typedef struct{
    int stride;
    int size;
    int width;
    int height;
    uint32_t *data;
}dynamic_canvas_t;

dynamic_canvas_t *dynamic_canvas_init(dynamic_canvas_t *canvas, int width, int height);
void dynamic_canvas_done(dynamic_canvas_t *canvas);
dynamic_canvas_t *dynamic_canvas_new(int width, int height);
void dynamic_canvas_free(dynamic_canvas_t *canvas);
void dynamic_canvas_resize(dynamic_canvas_t *canvas, int width, int height);
cairo_surface_t *dynamic_canvas_create_surface(dynamic_canvas_t *canvas);

#endif /* dyncanvas_h */
