/*
 * Copyright (C) 2020 - 2021  Magnus Bergman <magnus@snisurset.net>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
#include "loa-cairo.h"

void
loa_cairo_draw_path(cairo_t *cr, const loa_path_t *path, const loa_segment_t *seg, const loa_point_t *point)
{
    int i;
    seg += path->segment;
    for(i=0;i<path->segment_count;++i){
        const loa_point_t *p = &point[seg->point];
        switch(seg->type){
        case LOA_GOTO:
            cairo_move_to(cr,p[0].x,p[0].y);
            break;
        case LOA_LINE:
            cairo_line_to(cr,p[0].x,p[0].y);
            break;
        case LOA_CURVE:
            cairo_curve_to(cr,p[0].x,p[0].y,p[1].x,p[1].y,p[2].x,p[2].y);
            break;
        case LOA_CLOSE:
            cairo_close_path(cr);
        }
        ++seg;
    }
}
