/*
 * Copyright (C) 2021  Magnus Bergman <magnus@snisurset.net>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
#include "loa-draw-cairo.h"

static void
_on_move(loa_draw_handle_t *h, double x, double y)
{
    cairo_t *cr = (cairo_t*)h;
    cairo_move_to(cr, x, y);
}


static void
_on_line(loa_draw_handle_t *h, double x, double y)
{
    cairo_t *cr = (cairo_t*)h;
    cairo_line_to(cr, x, y);
}


static void
_on_stroke(loa_draw_handle_t *h)
{
    cairo_t *cr = (cairo_t*)h;
    cairo_stroke(cr);
}


loa_draw_interface_t loa_draw_interface_cairo = {
    .move = _on_move,
    .line = _on_line,
    .stroke = _on_stroke
};

